import base from "@/service/base";
import { QRCode, Space } from "antd";
import { useEffect, useState } from "react";

const ErCode = () => {
  const [url, setUrl] = useState("");
  useEffect(() => {
    base.gets("/v1/sys/version", {}).then((res) => {
      setUrl(res.data.record.url);
    });
  }, []);
  return (
    <div>
      <Space direction="vertical" align="center">
        <QRCode value={url} />
      </Space>
    </div>
  );
};

export default ErCode;
